## Process this file with automake to create Makefile.in

AUTOMAKE_OPTIONS =	foreign
TAR =			gtar
# These are built from source in the Docs directory
EXTRA_DIST =		INSTALL-SOURCE-GENERIC README \
			PUBLIC INSTALL-SOURCE MIRRORS
SUBDIRS =		include @docs_dirs@ @readline_dir@ client \
			@sql_server_dirs@ scripts tests man \
			@bench_dirs@ support-files

# Relink after clean
CLEANFILES =		linked_client_sources

# This is just so that the linking is done early.
$(CONFIG_HEADER):	linked_client_sources

linked_client_sources:
	cd client; $(MAKE) link_sources
	echo timestamp > linked_client_sources

# Create permission databases
init-db:		all
	$(top_builddir)/scripts/mysql_install_db

bin-dist:		all
	$(top_builddir)/scripts/make_binary_distribution

.PHONY:		init-db bin-dist
